package cn.cecep.talroad.service.impl.analysis;

import org.springframework.stereotype.Service;
import javax.annotation.Resource;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.List;
import cn.cecep.talroad.domain.analysis.SRaLowMonitoringGas;
import cn.cecep.talroad.mapper.analysis.SRaLowMonitoringGasMapper;
import cn.cecep.talroad.service.analysis.SRaLowMonitoringGasService;
@Service
public class SRaLowMonitoringGasServiceImpl extends ServiceImpl<SRaLowMonitoringGasMapper, SRaLowMonitoringGas> implements SRaLowMonitoringGasService{

    @Override
    public int updateBatch(List<SRaLowMonitoringGas> list) {
        return baseMapper.updateBatch(list);
    }
    @Override
    public int updateBatchSelective(List<SRaLowMonitoringGas> list) {
        return baseMapper.updateBatchSelective(list);
    }
    @Override
    public int batchInsert(List<SRaLowMonitoringGas> list) {
        return baseMapper.batchInsert(list);
    }
}
